use crate::prelude::*;

use std::os::raw::c_void;
use std::ptr;

#[repr(C)]
#[derive(Debug)]
pub struct VkBindBufferMemoryInfo {
    pub sType: VkStructureType,
    pub pNext: *const c_void,
    pub buffer: VkBuffer,
    pub memory: VkDeviceMemory,
    pub memoryOffset: VkDeviceSize,
}

impl VkBindBufferMemoryInfo {
    pub fn new(buffer: VkBuffer, memory: VkDeviceMemory, memory_offset: VkDeviceSize) -> Self {
        VkBindBufferMemoryInfo {
            sType: VK_STRUCTURE_TYPE_BIND_BUFFER_MEMORY_INFO,
            pNext: ptr::null(),
            buffer,
            memory,
            memoryOffset: memory_offset,
        }
    }
}
